<template>
	<el-dialog :title="title" :visible.sync="dialogFormVisible" width="800px" @close="close">
		<el-form ref="form" :model="form" :rules="rules" label-width="150px">
			<div class="lists">
				<el-form-item label="id" prop="id">
					<el-input class="inputs" v-model="form.id" autocomplete="off" :disabled="!idAdd?true:false"></el-input>
				</el-form-item>
				<el-form-item label="型号编号" prop="modelid">
					<el-input class="inputs" v-model.trim="form.modelid" autocomplete="off"></el-input>
				</el-form-item>
			</div>
			<div class="lists">
				<el-form-item label="风速/光照度" prop="speed">
					<el-input class="inputs" v-model="form.speed" autocomplete="off"></el-input>
				</el-form-item>
				<el-form-item label="稳态功率相当于理论" prop="theorypower">
					<el-input class="inputs" v-model="form.theorypower" autocomplete="off"></el-input>
				</el-form-item>
			</div>
			<div class="lists">
				<el-form-item label="动态功率保证功率" prop="ensurepower">
					<el-input class="inputs" v-model="form.ensurepower" autocomplete="off"></el-input>
				</el-form-item>
			</div>
		</el-form>
		<div slot="footer" class="dialog-footer">
			<el-button @click="close">取 消</el-button>
			<el-button type="primary" @click="save">确 定</el-button>
		</div>
	</el-dialog>
</template>

<script>
import api from '@/api/realtimeDatabaseConfiguration'
import dayjs from "dayjs";
export default {
	name: 'TableEdit',
	props: {
		options: {
			type: Array,
			default: []
		},
		stationList: {
			type: Array,
			default: []
		},
	},
	data() {
		return {
			form: {
				id: '',
				modelid: '',
				speed: '',
				theorypower: '',
				ensurepower: ''

			},
			rules: {
				id: [{ required: true, trigger: 'blur', message: '请输入' }],
				modelid: [{ required: true, trigger: 'blur', message: '请输入' }],
				speed: [{ required: true, trigger: 'blur', message: '请输入' }],
				theorypower: [{ required: true, trigger: 'blur', message: '请输入' }],
				ensurepower: [{ required: true, trigger: 'blur', message: '请输入' }]
			},
			title: '',
			dialogFormVisible: false,
			idAdd: true,
		}
	},
	created() { },
	methods: {
		showEdit(row) {
			if (!row) {
				this.title = '添加'
				this.idAdd = true
			} else {
				this.title = '编辑'
				this.idAdd = false
				this.form = Object.assign({}, row)
			}
			this.dialogFormVisible = true
		},
		close() {
			this.$refs['form'].resetFields()
			this.form = this.$options.data().form
			this.dialogFormVisible = false
			this.$emit('fetch-data')
		},
		save() {
			this.$refs['form'].validate(async (valid) => {
				if (valid) {
					api.addModelpower(this.form).then(res => {
						if (res.data) {
							this.$message({
								type: 'success',
								message: '添加成功!'
							});
							this.$emit('save-success');
							this.dialogFormVisible = false
						}
					})
				} else {
					return false
				}
			})
		},
		handleChange() {
		},
		onBlur(val, param) {
			if (typeof (this.form[param]) !== 'number') {
				this.form[param] = val.replace(/[^0-9]/ig, "")
			}
		},
	},
}
</script>
<style lang="less" scoped>
.inputs {
	width: 200px;
}

.lists {
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
}
</style>
